KSelectAction Class Reference

`#include <kactionclasses.h>`

Inheritance diagram for KSelectAction:

## Public Slots

virtual void | setCurrentItem (int index)
virtual void | setItems (const QStringList &lst)
virtual void | clear ()
virtual void | setEditable (bool)
virtual void | setComboWidth (int width)
Public Slots inherited from KAction
virtual void | setText (const QString &text)
virtual bool | setShortcut (const KShortcut &)
virtual void | setGroup (const QString &)
virtual void | setWhatsThis (const QString &text)
virtual void | setToolTip (const QString &)
virtual void | setIconSet (const QIconSet &iconSet)
virtual void | setIcon (const QString &icon)
virtual void | setEnabled (bool enable)
void | setDisabled (bool disable)
virtual void | setShortcutConfigurable (bool)
virtual void | activate ()

## Signals

void | activated (int index)
void | activated (const QString &text)
Signals inherited from KAction
void | activated ()
void | activated (KAction::ActivationReason reason, Qt::ButtonState state)
void | enabled (bool)

## Public Member Functions

| KSelectAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KSelectAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KSelectAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KSelectAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KSelectAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KSelectAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KSelectAction (QObject *parent=0, const char *name=0)
virtual | ~KSelectAction ()
virtual int | plug (QWidget *widget, int index=-1)
virtual bool | isEditable () const
virtual QStringList | items () const
virtual void | changeItem (int index, const QString &text)
virtual QString | currentText () const
virtual int | currentItem () const
virtual int | comboWidth () const
void | setMaxComboViewCount (int n)
QPopupMenu * | popupMenu () const
void | setRemoveAmpersandsInCombo (bool b) KDE_DEPRECATED
bool | removeAmpersandsInCombo () const
void | setMenuAccelsEnabled (bool b)
bool | menuAccelsEnabled () const
virtual bool | isShortcutConfigurable () const
Public Member Functions inherited from KAction
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const KGuiItem &item, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (QObject *parent=0, const char *name=0)
virtual | ~KAction ()
virtual void | plugAccel (KAccel *accel, bool configurable=true) KDE_DEPRECATED
virtual void | unplug (QWidget *w)
virtual void | unplugAccel () KDE_DEPRECATED
virtual bool | isPlugged () const
bool | isPlugged (const QWidget *container) const
virtual bool | isPlugged (const QWidget *container, int id) const
virtual bool | isPlugged (const QWidget *container, const QWidget *_representative) const
QWidget * | container (int index) const
int | itemId (int index) const
QWidget * | representative (int index) const
int | containerCount () const
uint | kaccelCount () const
virtual bool | hasIcon () const
bool | hasIconSet () const
virtual QString | plainText () const
virtual QString | text () const
virtual const KShortcut & | shortcut () const
virtual const KShortcut & | shortcutDefault () const
QString | shortcutText () const
void | setShortcutText (const QString &)
virtual bool | isEnabled () const
virtual QString | group () const
virtual QString | whatsThis () const
virtual QString | toolTip () const
virtual QIconSet | iconSet (KIcon::Group group, int size=0) const
QIconSet | iconSet () const
virtual QString | icon () const
KActionCollection * | parentCollection () const
void | unplugAll ()
int | accel () const KDE_DEPRECATED
QString | statusText () const
void | setAccel (int key) KDE_DEPRECATED
void | setStatusText (const QString &text)
int | menuId (int i)

## Protected Slots

virtual void | slotActivated (int id)
virtual void | slotActivated (const QString &text)
virtual void | slotActivated ()
Protected Slots inherited from KAction
virtual void | slotDestroyed ()
virtual void | slotKeycodeChanged ()
virtual void | slotActivated ()
void | slotPopupActivated ()
void | slotButtonClicked (int, Qt::ButtonState state)

## Protected Member Functions

virtual void | changeItem (int id, int index, const QString &text)
QStringList | comboItems () const
virtual void | updateCurrentItem (int id)
virtual void | updateComboWidth (int id)
virtual void | updateItems (int id)
virtual void | updateClear (int id)
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KAction
KToolBar * | toolBar (int index) const
QPopupMenu * | popupMenu (int index) const
void | removeContainer (int index)
int | findContainer (const QWidget *widget) const
int | findContainer (int id) const
void | plugMainWindowAccel (QWidget *w)
void | addContainer (QWidget *parent, int id)
void | addContainer (QWidget *parent, QWidget *representative)
virtual void | updateShortcut (int i)
virtual void | updateShortcut (QPopupMenu *menu, int id)
virtual void | updateGroup (int id)
virtual void | updateText (int i)
virtual void | updateEnabled (int i)
virtual void | updateIconSet (int i)
virtual void | updateIcon (int i)
virtual void | updateToolTip (int id)
virtual void | updateWhatsThis (int i)
QString | whatsThisWithIcon () const
const KGuiItem & | guiItem () const

## Properties

int | currentItem
QStringList | items
bool | editable
int | comboWidth
QString | currentText
bool | menuAccelsEnabled
Properties inherited from KAction
int | containerCount
QString | plainText
QString | text
QString | shortcut
bool | enabled
QString | group
QString | whatsThis
QString | toolTip
QString | icon

## Additional Inherited Members

Public Types inherited from KAction
enum | ActivationReason { UnknownActivation, EmulatedActivation, AccelActivation, PopupMenuActivation, ToolBarActivation }
Static Public Member Functions inherited from KAction
static int | getToolButtonID ()
Protected Attributes inherited from KAction
KActionCollection * | m_parentCollection

## Detailed Description

Action for selecting one of several items.

Action for selecting one of several items.

This action shows up a submenu with a list of items. One of them can be checked. If the user clicks on an item this item will automatically be checked, the formerly checked item becomes unchecked. There can be only one item checked at a time.

Definition at line 329 of file kactionclasses.h.

## Constructor & Destructor Documentation

KSelectAction::KSelectAction | ( | const QString & | text,
|  | const KShortcut & | cut = `KShortcut()`,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a select action with text and potential keyboard accelerator but nothing else.

Use this only if you really know what you are doing.

Parameters

  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 373 of file kactionclasses.cpp.

KSelectAction::KSelectAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`
| ) |  |

Parameters

  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 380 of file kactionclasses.cpp.

KSelectAction::KSelectAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut = `KShortcut()`,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Parameters

  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 388 of file kactionclasses.cpp.

KSelectAction::KSelectAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut = `KShortcut()`,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Parameters

  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 396 of file kactionclasses.cpp.

KSelectAction::KSelectAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`
| ) |  |

Parameters

  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 404 of file kactionclasses.cpp.

KSelectAction::KSelectAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`
| ) |  |

Parameters

  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 414 of file kactionclasses.cpp.

KSelectAction::KSelectAction | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Parameters

  parent | This action's parent.
  name | An internal name for this action.

Definition at line 424 of file kactionclasses.cpp.

KSelectAction::~KSelectAction | ( |  | ) |

virtual

Destructor.

Definition at line 430 of file kactionclasses.cpp.

## Member Function Documentation

void KSelectAction::activated | ( | int | index | ) |

signal

This signal is emitted when an item is selected;.

Parameters

  index | indicated the item selected.

void KSelectAction::activated | ( | const QString & | text | ) |

signal

This signal is emitted when an item is selected;.

Parameters

  text | indicates the item selected.

void KSelectAction::changeItem | ( | int | index,
|  | const QString & | text
| ) |  |

virtual

Changes the text of item.

Parameters

  index | to
  text | .

Definition at line 513 of file kactionclasses.cpp.

void KSelectAction::clear | ( |  | ) |

virtual slot

Clears up all the items in this action.

Definition at line 741 of file kactionclasses.cpp.

QStringList KSelectAction::comboItems | ( |  | ) | const

protected

Depending on the menuAccelsEnabled property this method will return the actions items in a way for inclusion in a combobox with the ampersand character removed from all items or not.

Since
  3.1

Definition at line 722 of file kactionclasses.cpp.

virtual int KSelectAction::comboWidth | ( |  | ) | const

virtual

When this action is plugged into a toolbar, it creates a combobox.

This returns the maximum width set by setComboWidth

virtual int KSelectAction::currentItem | ( |  | ) | const

virtual

Returns the index of the current item.

See also
  setCurrentItem

Reimplemented in KListAction.

virtual QString KSelectAction::currentText | ( |  | ) | const

virtual

Returns the text of the currently selected item.

Reimplemented in KListAction.

bool KSelectAction::isEditable | ( |  | ) | const

virtual

When this action is plugged into a toolbar, it creates a combobox.

Returns
  true if the combo editable.

Definition at line 809 of file kactionclasses.cpp.

virtual bool KSelectAction::isShortcutConfigurable | ( |  | ) | const

inline virtual

Returns true if this action's shortcut is configurable.

Reimplemented from KAction.

Definition at line 497 of file kactionclasses.h.

virtual QStringList KSelectAction::items | ( |  | ) | const

virtual

Returns
  the items that can be selected with this action. Use setItems to set them.

Reimplemented in KRecentFilesAction.

bool KSelectAction::menuAccelsEnabled | ( |  | ) | const

Since
  3.1

int KSelectAction::plug | ( | QWidget * | widget,
|  | int | index = `-1`
| ) |  |

virtual

"Plug" or insert this action into a given widget.

This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KSelectAction object.

Parameters

  widget | The GUI element to display this action.
  index | The index of the item.

Reimplemented from KAction.

Reimplemented in KRecentFilesAction.

Definition at line 636 of file kactionclasses.cpp.

QPopupMenu * KSelectAction::popupMenu | ( |  | ) | const

Returns a pointer to the popup menu used by this action.

Definition at line 483 of file kactionclasses.cpp.

bool KSelectAction::removeAmpersandsInCombo | ( |  | ) | const

Since
  3.1

Definition at line 819 of file kactionclasses.cpp.

void KSelectAction::setComboWidth | ( | int | width | ) |

virtual slot

When this action is plugged into a toolbar, it creates a combobox.

This gives a maximum size to the combobox. The minimum size is automatically given by the contents (the items).

Definition at line 464 of file kactionclasses.cpp.

void KSelectAction::setCurrentItem | ( | int | index | ) |

virtual slot

Sets the currently checked item.

Parameters

  index | Index of the item (remember the first item is zero).

Definition at line 437 of file kactionclasses.cpp.

void KSelectAction::setEditable | ( | bool | edit | ) |

virtual slot

When this action is plugged into a toolbar, it creates a combobox.

This makes the combo editable or read-only.

Definition at line 804 of file kactionclasses.cpp.

void KSelectAction::setItems | ( | const QStringList & | lst | ) |

virtual slot

Sets the items to be displayed in this action You need to call this.

Definition at line 548 of file kactionclasses.cpp.

void KSelectAction::setMaxComboViewCount | ( | int | n | ) |

Sets the maximum items that are visible at once if the action is a combobox, that is the number of items in the combobox's viewport Only works before the action is plugged.

Since
  3.5

Definition at line 478 of file kactionclasses.cpp.

void KSelectAction::setMenuAccelsEnabled | ( | bool | b | ) |

Sets whether any occurrence of the ampersand character ( & ) in items should be interpreted as keyboard accelerator for items displayed in a menu or not.

Since
  3.1

Definition at line 824 of file kactionclasses.cpp.

void KSelectAction::setRemoveAmpersandsInCombo | ( | bool | b | ) |

Deprecated:
  See setMenuAccelsEnabled .
  Since
    3.1

Definition at line 814 of file kactionclasses.cpp.

The documentation for this class was generated from the following files:

- kactionclasses.h
- kactionclasses.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys